Bug 1563166 - kdestroy -A does not work with multiple principals when using KCM
Summary: kdestroy -A does not work with multiple principals when using KCM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: krb5
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Robbie Harwood
QA Contact: Patrik Kis
URL:
Whiteboard:
Depends On: 1561917
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-03 10:13 UTC by Fabiano Fidêncio
Modified: 2018-10-30 08:08 UTC (History)
10 users (show)

Fixed In Version: krb5-1.15.1-27.el7
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of: 1561917
Environment:
Last Closed: 2018-10-30 08:08:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3071 None None None 2018-10-30 08:08:49 UTC

Description Fabiano Fidêncio 2018-04-03 10:13:50 UTC
+++ This bug was initially created as a clone of Bug #1561917 +++

Version-Release number of selected component (if applicable): The issue can be seen in all Fedora supported releases

How reproducible: 100%

Steps to Reproduce:
1. `kinit` multiple principals (more than 2 makes it easier to reproduce)
2. `kdestroy -A`
3. `klist -A`

Actual results: At least one principal is not destroyed

Expected results: All the principals should be destroyed

Additional info: The patch has been merged upstream[0] and I'm providing patches for f26+.

[0]: https://github.com/krb5/krb5/commit/49087f5e6309f298f8898c35af6f4ade418ced60

--- Additional comment from Fabiano Fidêncio on 2018-03-29 03:56 EDT ---



--- Additional comment from Fabiano Fidêncio on 2018-03-29 03:56 EDT ---



--- Additional comment from Fabiano Fidêncio on 2018-03-29 03:56 EDT ---



--- Additional comment from Fabiano Fidêncio on 2018-03-29 03:57 EDT ---



--- Additional comment from Fedora Update System on 2018-03-29 11:21:34 EDT ---

krb5-1.16-18.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a0cb211d9c

--- Additional comment from Fedora Update System on 2018-03-29 11:21:57 EDT ---

krb5-1.15.2-8.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-04d2f01b78

--- Additional comment from Fedora Update System on 2018-03-30 10:47:24 EDT ---

krb5-1.15.2-8.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-04d2f01b78

--- Additional comment from Fedora Update System on 2018-03-30 11:17:22 EDT ---

krb5-1.16-18.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a0cb211d9c

--- Additional comment from Fedora Update System on 2018-04-01 15:07:18 EDT ---

krb5-1.16-18.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 errata-xmlrpc 2018-10-30 08:08:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3071


Note You need to log in before you can comment on or make changes to this bug.